Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save
Class ListenerResultWrapper

    java.lang.Object
      org.apache.jmeter.save.ListenerResultWrapper

    public class ListenerResultWrapper

extends Object

ListenerResultWrapper is for calculated results generated by listeners like aggregate listener and monitor listener.

Constructor Summary
`ListenerResultWrapper()`

Method Summary
`Collection<SampleResult>` | `getSampleResults()`
`long` | `getTestStartTime()`
`String` | `getVersion()`
`void` | `setSampleResults(Collection<SampleResult> results)`
`void` | `setTestStartTime(long testStartTime)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenerResultWrapper

    public ListenerResultWrapper()

Method Detail

### getSampleResults

    public Collection<SampleResult> getSampleResults()

  Returns:
    Returns the sampleResults.

### setSampleResults

    public void setSampleResults(Collection<SampleResult> results)

  Parameters:
    `results` - The sampleResults to set.

### getTestStartTime

    public long getTestStartTime()

  Returns:
    Returns the testStartTime.

### setTestStartTime

    public void setTestStartTime(long testStartTime)

  Parameters:
    `testStartTime` - The testStartTime to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.